com.amazonaws.services.simpleworkflow.model

## Class WorkflowTypeFilter

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowTypeFilter

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowTypeFilter
    extends Object
    implements Serializable, Cloneable

Used to filter workflow execution query results by type. Each parameter, if specified, defines a rule that must be satisfied by each returned result.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowTypeFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowTypeFilter` `clone()`
`boolean` `equals(Object obj)`
`String` `getName()` Required. Name of the workflow type.
`String` `getVersion()` Version of the workflow type.
`int` `hashCode()`
`void` `setName(String name)` Required. Name of the workflow type.
`void` `setVersion(String version)` Version of the workflow type.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowTypeFilter` `withName(String name)` Required. Name of the workflow type.
`WorkflowTypeFilter` `withVersion(String version)` Version of the workflow type.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowTypeFilter

    public WorkflowTypeFilter()

### Method Detail

#### setName

    public void setName(String name)

Required. Name of the workflow type.

Parameters:
  `name` - Required.

#### getName

    public String getName()

Required. Name of the workflow type.

Returns:
  Required.

#### withName

    public WorkflowTypeFilter withName(String name)

Required. Name of the workflow type.

Parameters:
  `name` - Required.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVersion

    public void setVersion(String version)

Version of the workflow type.

Parameters:
  `version` - Version of the workflow type.

#### getVersion

    public String getVersion()

Version of the workflow type.

Returns:
  Version of the workflow type.

#### withVersion

    public WorkflowTypeFilter withVersion(String version)

Version of the workflow type.

Parameters:
  `version` - Version of the workflow type.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowTypeFilter clone()

Overrides:
  `clone` in class `Object`